import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/PeterMaidaRobot/5d4544e1f12d8b4cc2704c4e98e6a21a/raw/a5705d4194dfe066a6e174dbfb8083d081696967/deaths_with_total_region_total_sex_total_ethnicity';

// Old
//const csvUrl = 'https://gist.githubusercontent.com/PeterMaidaRobot/5d4544e1f12d8b4cc2704c4e98e6a21a/raw/adecea39a9eacd07e3f987c5c7f45497d44ada28/deaths_no_spaces.csv';


export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Year = +d.Year;
      d.RaceorEthnicity = d.RaceorEthnicity;
      d.Sex = d.Sex;
      d.AgeGroup = d.AgeGroup;
      d.FirearmDeaths = +d.FirearmDeaths;
      d.SuicideDeaths = +d.SuicideDeaths;
      d.AlcoholRelatedDeaths = +d.AlcoholRelatedDeaths
      d.TotalDeaths = +d.FirearmDeaths + +d.SuicideDeaths + +d.AlcoholRelatedDeaths;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};